1
0
Fork 0

Merge branch 'master' into credit

This commit is contained in:
François Bissey 2020-01-21 14:30:48 +13:00
commit 6f303e5e72
97 changed files with 744 additions and 1035 deletions

View File

@ -3,7 +3,7 @@
An overlay for Gentoo, with various packages used and/or maintained by [TheChymera](https://github.com/TheChymera).
A number of the ebuilds available from this overlay are regularly copied from external sources (see respective commit mesages), and thus have a different maintainer.
If you are looking for the neuroscience software packages maintained by [TheChymera](https://github.com/TheChymera), use the [Gentoo Science](https://github.com/gentoo/sci) instead.
If you are looking for the neuroscience software packages maintained by [TheChymera](https://github.com/TheChymera), and are not interested in the absolutely newest versions, use the [Gentoo Science](https://github.com/gentoo/sci) overlay instead.
## Install
@ -15,8 +15,8 @@ mkdir /etc/portage/repos.conf
wget https://raw.githubusercontent.com/TheChymera/overlay/master/metadata/chymeric.conf -O /etc/portage/repos.conf/chymeric
```
Afterwards, simply run `emerge --sync`, and Portage should seamlessly make all our ebuilds availabl.
Many of our packages are available as live (`*-9999`) ebuilds, and also need manual unmasking in `/etc/portage/package.accept_keywords` before they can be emerged.
Afterwards, simply run `emerge --sync`, and Portage should seamlessly make all our ebuilds available.
Some of our packages are available as live (`*-9999`) ebuilds, and if you wish to use this feature (only advisable if you are well-informed on the day-to-day development of the specific package) these versions can be manually unmasked on a case-by-case basis under `/etc/portage/package.accept_keywords`.
---

View File

@ -1,3 +1,9 @@
*gebuilder-0.1 (23 Dec 2019)
23 Dec 2019; <chymera@gentoo.org> +gebuilder-0.1.ebuild,
-gebuilder-9999.ebuild:
app-misc/gebuilder: new versioned ebuild
26 Oct 2019; <chymera@gentoo.org> gebuilder-9999.ebuild:
app-misc/gebuilder: improved USE flag specification

View File

@ -0,0 +1 @@
DIST gebuilder-0.1.tar.gz 69313 SHA256 a872200abdde4d4bb70fc3c783ec7fa15472ab2448034ef336e9aae0496a8b70 SHA512 53c736698cc6fb4ffbda38835b09b536e1b5bf0bcdb52ae25a0a1aefd42c65da137c08a3206939e36cb12d7ccc4daba683f2fcb0d6ec58f717b21ea15acad9ed WHIRLPOOL 3415d7fa242a08b6f5aae0be8968420ceb6d319aeeeb5da233c8ae28b07e1a3774cbc06ded09ad169e11f6333971c9eeba1221cabe3d4d6ae0733094f4e89bdc

View File

@ -3,16 +3,13 @@
EAPI=7
inherit git-r3
DESCRIPTION="Gentoo System and Image Builder"
HOMEPAGE="https://github.com/IBT-FMI/gebuilder"
SRC_URI=""
EGIT_REPO_URI="https://github.com/IBT-FMI/gebuilder.git"
SRC_URI="https://github.com/IBT-FMI/gebuilder/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS=""
KEYWORDS="~amd64"
IUSE="autoupdate btrfs docker openstack test"
COMMON_DEPEND="

View File

@ -0,0 +1,21 @@
*python-dice-3.1.0 (17 Dec 2019)
17 Dec 2019; <chymera@gentoo.org> +python-dice-3.1.0.ebuild,
-python-dice-2.4.2.ebuild, -python-dice-3.0.0.ebuild:
app-misc/python-dice: new package ahead of gentoo main
*python-dice-3.0.0 (06 Dec 2019)
06 Dec 2019; <chymera@gentoo.org> +python-dice-3.0.0.ebuild:
app-misc/python-dice: version bump 3.0.0
04 Dec 2019; <chymera@gentoo.org> python-dice-2.4.2.ebuild:
app-misc/python-dice: updated dependency lists
04 Nov 2019; <chymera@gentoo.org> typing-3.7.4.1.ebuild:
dev-python/typing: KEYWORDS
*typing-3.7.4.1 (09 Oct 2019)
09 Oct 2019; <chymera@gentoo.org> +metadata.xml, +typing-3.7.4.1.ebuild:
dev-python/typing: version bump 3.7.4.1 and PYTHON_COMPAT to 3 series

View File

@ -0,0 +1 @@
DIST python-dice-3.1.0.tar.gz 23510 SHA256 f28a497fd59ffb44cb3c957445feff9677ba4768e8d784cf080986f20fa0d56d SHA512 121ab7d09b2b7b799f0894ee0ab2ee45b7ebc3c8f721849cdefe5c8f7bb6bb07560dd9af009d03a0ac8a40da7dd106f593bd884fc20f4e899da67ce08e46b705 WHIRLPOOL 047ce6cb95afa800324144ed970bcab407c3486fbecaab5881430bea968df18b84ed22767cd5a756796b61084c6dc4c1a304abc587101258297cecf25103d3a1

View File

@ -2,10 +2,10 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>python@gentoo.org</email>
<name>Python</name>
<email>chr@chymera.eu</email>
<name>Horea Christian</name>
</maintainer>
<upstream>
<remote-id type="pypi">typing</remote-id>
<remote-id type="github">borntyping/python-dice</remote-id>
</upstream>
</pkgmetadata>

View File

@ -0,0 +1,38 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_6 )
inherit distutils-r1
DESCRIPTION="Dice parsing and evaluation library"
HOMEPAGE="https://github.com/borntyping/python-dice"
SRC_URI="https://github.com/borntyping/python-dice/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
IUSE="test"
DEPEND="test? (
dev-python/coverage[${PYTHON_USEDEP}]
dev-python/pytest[${PYTHON_USEDEP}]
)
"
RDEPEND="
dev-python/docopt[${PYTHON_USEDEP}]
>=dev-python/pyparsing-2.4.1[${PYTHON_USEDEP}]
"
src_prepare() {
if use test; then
sed -i -e "s/--cov=dice //g" tox.ini || die "Could not remove pytest-cov usage for tests."
fi
default
}
python_test() {
pytest -vv || die
}

View File

@ -0,0 +1,5 @@
*lazarus-2.0.2-r1 (23 Nov 2019)
23 Nov 2019; <chymera@gentoo.org> +files/lazarus-0.9.26-fpcsrc.patch,
+lazarus-2.0.2-r1.ebuild, +metadata.xml:
dev-lang/lazarus: fixed Python USE flag ahead of Gentoo Main

View File

@ -0,0 +1,2 @@
DIST lazarus-2.0.2.tar.gz 67092332 SHA256 e9d07f176e63c6ff7cf693a135ee66135c147ba398f67b8c6fe892c726f6a476 SHA512 0d2bf26afa3128104181fbe57b1adeaba3bb589b0a3b72598507825a3f08201d4480c6cff510a6f866dca4d49417fac3a2f68ca7e58fabe4f4e3bad97323c071 WHIRLPOOL 81bbaf476e121d335a493ed5021fc7b8aadd53dcc22f42e426d3278fa7675ea798c8d9fc30140808bb382c44b824442c6f7863ac83862604cf38a0a4deb11d84
DIST lazarus-python-f362a0ea44a1981558539833a0354c1cf4b10eca.tar.gz 1254207 SHA256 3483e38fd84488e2321575e8549cc20041a7c3f89bb10319dfe6a135b967388c SHA512 3b93ac44838e09bdd61bde50f93d116d113779679f6dff1288a0b16003bbfcea0fca2edcc77cfc013ef605e3e7fca5dc71322f4cf9b5b6f78d25c18e7a74ce8f WHIRLPOOL e863641020ddf80365065f2e27145095fe5e5fc303d15ac867f371a4129a3a39f85960c63a19902386d3dfc8ab652496a8e12b7bd41ce66f081e6e5f5e6620e6

View File

@ -0,0 +1,13 @@
--- lazarus/ide/include/unix/lazbaseconf.inc
+++ lazarus/ide/include/unix/lazbaseconf.inc
@@ -24,8 +24,9 @@
}
const
- DefaultFPCSrcDirs: array[1..15] of string = (
+ DefaultFPCSrcDirs: array[1..16] of string = (
// search first for sources with right version
+ '/usr/lib/fpc/$(FPCVer)/source',
'/usr/share/fpcsrc/$(FPCVer)',
// then search for global paths
'/usr/share/fpcsrc',

View File

@ -0,0 +1,106 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit desktop
FPCVER="3.0.4"
PYTHON_HASH="f362a0ea44a1981558539833a0354c1cf4b10eca"
DESCRIPTION="Lazarus IDE is a feature rich visual programming environment emulating Delphi"
HOMEPAGE="https://www.lazarus-ide.org/"
SRC_URI="
python? ( https://github.com/Alexey-T/Python-for-Lazarus/archive/${PYTHON_HASH}.tar.gz ->\
${PN}-python-${PYTHON_HASH}.tar.gz )
https://sourceforge.net/projects/${PN}/files/Lazarus%20Zip%20_%20GZip/Lazarus%20${PV}/${P}.tar.gz"
LICENSE="GPL-2 LGPL-2.1-with-linking-exception"
SLOT="0" # Note: Slotting Lazarus needs slotting fpc, see DEPEND.
KEYWORDS="~amd64 ~x86"
IUSE="minimal python"
DEPEND=">=dev-lang/fpc-${FPCVER}[source]
net-misc/rsync
x11-libs/gtk+:2
>=sys-devel/binutils-2.19.1-r1:="
RDEPEND="${DEPEND}"
RESTRICT="strip" #269221
S="${WORKDIR}/${PN}"
PATCHES=( "${FILESDIR}"/${PN}-0.9.26-fpcsrc.patch )
src_prepare() {
default
# Use default configuration (minus stripping) unless specifically requested otherwise
if ! test ${PPC_CONFIG_PATH+set} ; then
local FPCVER=$(fpc -iV)
export PPC_CONFIG_PATH="${WORKDIR}"
sed -e 's/^FPBIN=/#&/' /usr/lib/fpc/${FPCVER}/samplecfg |
sh -s /usr/lib/fpc/${FPCVER} "${PPC_CONFIG_PATH}" || die
fi
sed -i \
-e "s;SecondaryConfigPath:='/etc/lazarus';SecondaryConfigPath:=ExpandFileNameUTF8('~/.lazarus');g" \
-e "s;PrimaryConfigPath:=ExpandFileNameUTF8('~/.lazarus');PrimaryConfigPath:='/etc/lazarus';g" \
ide/include/unix/lazbaseconf.inc \
|| die
}
src_compile() {
LCL_PLATFORM=gtk2 emake \
$(usex minimal "" "bigide") \
-j1
if use python; then
addpredict ide/exttools.pas
./lazbuild -B --lazarusdir="." --pcp="../lazarus-package-config" --build-ide= \
--add-package ../Python-for-Lazarus-${PYTHON_HASH}/python4lazarus/python4lazarus_package.lpk \
|| die
sed -i -e "s:${WORKDIR}/Python-for-Lazarus-${PYTHON_HASH}:/etc/lazarus:g" \
../lazarus-package-config/packagefiles.xml \
../lazarus-package-config/idemake.cfg \
../Python-for-Lazarus-${PYTHON_HASH}/python4lazarus/lib/x86_64-linux/python4lazarus_package.compiled \
|| die
sed -i -e "s:${WORKDIR}/lazarus-package-config:/etc/lazarus:g" \
../lazarus-package-config/idemake.cfg \
|| die
fi
}
src_install() {
diropts -m0755
dodir /usr/share
# Using rsync to avoid unnecessary copies and cleaning...
# Note: *.o and *.ppu are needed
rsync -a \
--exclude="CVS" --exclude=".cvsignore" \
--exclude="*.ppw" --exclude="*.ppl" \
--exclude="*.ow" --exclude="*.a"\
--exclude="*.rst" --exclude=".#*" \
--exclude="*.~*" --exclude="*.bak" \
--exclude="*.orig" --exclude="*.rej" \
--exclude=".xvpics" --exclude="*.compiled" \
--exclude="killme*" --exclude=".gdb_hist*" \
--exclude="debian" --exclude="COPYING*" \
--exclude="*.app" \
"${S}" "${ED%/}"/usr/share \
|| die "Unable to copy files!"
dosym ../share/lazarus/startlazarus /usr/bin/startlazarus
dosym ../share/lazarus/startlazarus /usr/bin/lazarus
dosym ../share/lazarus/lazbuild /usr/bin/lazbuild
use minimal || dosym ../share/lazarus/components/chmhelp/lhelp/lhelp /usr/bin/lhelp
dosym ../lazarus/images/ide_icon48x48.png /usr/share/pixmaps/lazarus.png
if use python; then
diropts -m0755
dodir /etc/lazarus
cp -rf ../lazarus-package-config/* \
"${ED%/}"/etc/lazarus || die
cp -rf ../Python-for-Lazarus-${PYTHON_HASH}/python4lazarus \
"${ED%/}"/etc/lazarus || die
fi
make_desktop_entry startlazarus "Lazarus IDE" "lazarus"
}

View File

@ -0,0 +1,17 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>amynka@gentoo.org</email>
</maintainer>
<longdescription lang="en">
A Borland Delphi lookalike for linux.
Uses the free pascal compiler.
</longdescription>
<use>
<flag name="minimal">Don't build extra packages from the bigide component</flag>
</use>
<upstream>
<remote-id type="sourceforge">downloads</remote-id>
</upstream>
</pkgmetadata>

View File

@ -1,29 +0,0 @@
# Distributed under the terms of the GNU General Public License v3
EAPI=5
PYTHON_COMPAT=( python{2_7,3_2,3_3} )
inherit python-single-r1 git-2
DESCRIPTION="Helper Functions for TheChymera's python scripts"
HOMEPAGE="https://github.com/TheChymera/chr-helpers"
EGIT_REPO_URI="https://github.com/TheChymera/chr-helpers.git"
SRC_URI=""
SLOT="0"
LICENSE="LPPL-1.3 BSD"
KEYWORDS="~amd64"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
DEPEND=""
RDEPEND="dev-python/pandas"
src_install() {
python_optimize .
python_domodule "${S}"/chr_helpers.py
python_domodule "${S}"/chr_matplotlib.py
}

View File

@ -0,0 +1,4 @@
*pyparsing-2.4.5 (04 Dec 2019)
04 Dec 2019; <chymera@gentoo.org> +metadata.xml, +pyparsing-2.4.5.ebuild:
dev-python/pyparsing: version bump 2.4.5 ahead of Gentoo Main

View File

@ -0,0 +1 @@
DIST pyparsing_2.4.5.tar.gz 645229 SHA256 8c74536281303ef5e1a5be06874d979171cc72b1eee0129f05bebd453383e5ee SHA512 156cfdd28b4eadd5a29abfec8818fe4d038b220cf27aaa9d499f68ec87867c9048dfa79fd6efd85e940d47a7e7fcb21b93d527be05d27a5b58e2900fffb6b132 WHIRLPOOL 3c4b7a33f3029999dcd8a9a378c20c8e07c6d95a59be1e4dbec3adad732726dfe82608a258e5a29e1b71d0a7e402969ac8217b08a672d273aec496fe88980e6d

View File

@ -0,0 +1,19 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>python@gentoo.org</email>
<name>Python</name>
</maintainer>
<longdescription lang="en">
The pyparsing module is an alternative approach to creating and
executing simple grammars, vs. the traditional lex/yacc approach, or the
use of regular expressions. The pyparsing module provides a library of
classes that client code uses to construct the grammar directly in
Python code.
</longdescription>
<upstream>
<remote-id type="sourceforge">pyparsing</remote-id>
<remote-id type="pypi">pyparsing</remote-id>
</upstream>
</pkgmetadata>

View File

@ -0,0 +1,38 @@
# Copyright 2004-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{5,6,7} pypy pypy3 )
inherit distutils-r1
MY_P=${P/-/_}
DESCRIPTION="Easy-to-use Python module for text parsing"
HOMEPAGE="https://github.com/pyparsing/pyparsing https://pypi.org/project/pyparsing/"
SRC_URI="https://github.com/${PN}/${PN}/archive/${MY_P}.tar.gz"
# pypi releases and generated github tarballs lack tests
#SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="examples"
# setuptools currently vendors its own copy of pyparsing to avoid bootstrapping
# issues so depend on it here for consistency
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
RDEPEND=""
S=${WORKDIR}/${PN}-${MY_P}
python_test() {
esetup.py test
}
python_install_all() {
if use examples; then
docompress -x /usr/share/doc/${PF}/examples
dodoc -r examples
fi
distutils-r1_python_install_all
}

View File

@ -0,0 +1,4 @@
*trimesh-3.3.5 (04 Nov 2019)
04 Nov 2019; <chymera@gentoo.org> +metadata.xml, +trimesh-3.3.5.ebuild:
dev-python/trimesh: version bump ahead of Genoo Science

View File

@ -0,0 +1 @@
DIST pyvote-0.1.tar.gz 17689 SHA256 5c8f104866e2bfe47047524cbb2b6b773c0aeaee11f13800257112b93220028c SHA512 be6a0b5aa71ef4e151a5d95411c8614d956217d71ab53d3b0ff3f1a209c7980efa87545ab234465b6411daa1d9b63722670500323aff55e27240cc1d5ce8aa88 WHIRLPOOL 3c3be95e37b69a7df5a4a25dbb50ab7f4f91127af097e5f8435514495b22dad4db678a60c6ca3ffa2ede99b2de3d3c78979ae95382a65dd09e071201683d2d4c

View File

@ -1,4 +1,4 @@
<?xml version="1.0" encoding="UTF-8"?>
<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
@ -10,11 +10,10 @@
<name>Gentoo Science Project</name>
</maintainer>
<longdescription lang="en">
PyBIDS is a Python library to centralize interactions with datasets
conforming BIDS (Brain Imaging Data Structure) format. For more
information about BIDS visit http://bids.neuroimaging.io.
This package provides a Python module and a Bash interface which can
compute the probability of a 2-choice popular election being decided by
one vote. Predictions are based on either a series of forecasts, a beta
(or normal) probability density function for outcomes, or a fixed
outcome probability.
</longdescription>
<upstream>
<remote-id type="github">INCF/pybids</remote-id>
</upstream>
</pkgmetadata>

View File

@ -0,0 +1,24 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{5,6} )
inherit distutils-r1
DESCRIPTION="Estimate the probability of votes changing election outcomes"
HOMEPAGE="https://github.com/TheChymera/pyvote.git"
SRC_URI="https://github.com/TheChymera/pyvote/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="test"
DEPEND=""
RDEPEND="
dev-python/argh[${PYTHON_USEDEP}]
dev-python/mpmath[${PYTHON_USEDEP}]
dev-python/numpy[${PYTHON_USEDEP}]
"

View File

@ -0,0 +1,24 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{5,6} )
inherit distutils-r1 git-r3
DESCRIPTION="Estimate the probability of votes changing election outcomes"
HOMEPAGE="https://github.com/TheChymera/pyvote.git"
EGIT_REPO_URI="https://github.com/TheChymera/pyvote.git"
LICENSE="MIT"
SLOT="0"
KEYWORDS=""
IUSE="test"
DEPEND=""
RDEPEND="
dev-python/argh[${PYTHON_USEDEP}]
dev-python/mpmath[${PYTHON_USEDEP}]
dev-python/numpy[${PYTHON_USEDEP}]
"

View File

@ -1,7 +0,0 @@
04 Nov 2019; <chymera@gentoo.org> typing-3.7.4.1.ebuild:
dev-python/typing: KEYWORDS
*typing-3.7.4.1 (09 Oct 2019)
09 Oct 2019; <chymera@gentoo.org> +metadata.xml, +typing-3.7.4.1.ebuild:
dev-python/typing: version bump 3.7.4.1 and PYTHON_COMPAT to 3 series

View File

@ -1 +0,0 @@
DIST typing-3.7.4.1.tar.gz 77982 SHA256 91dfe6f3f706ee8cc32d38edbbf304e9b7583fb37108fef38229617f8b3eba23 SHA512 5f5080bf66b1de094b7984ed3d1de22651de8ca018ffde927dfa67fe65b13f91602a877faa24e73d44558638b609be276b924b894d63999bb93b0657a2d5ec6e WHIRLPOOL 37b349c5be66a21b7cc433d8daa5f5648614f71cd50ec657c5fb1261ee73918c3c14aba7f4b5c3be2f2c571a2f6ef40fa0daaeb0c93581a748a732e582c36e4a

View File

@ -1,30 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python2_7 python3_6 pypy )
inherit distutils-r1
DESCRIPTION="Type Hints for Python"
HOMEPAGE="https://docs.python.org/3/library/typing.html https://pypi.org/project/typing/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="PSF-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-solaris"
IUSE=""
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
RDEPEND=""
python_test() {
if [[ ${EPYTHON} == python2* || ${EPYTHON} == pypy ]]; then
cd "${S}"/python2 || die
else
cd "${S}"/src || die
fi
"${PYTHON}" test_typing.py || die "tests failed under ${EPYTHON}"
}

View File

@ -1,2 +0,0 @@
DIST utox-0.16.0.tar.gz 2412270 SHA256 f2a09b6e9daae0152a08ae4085cfb2294ddcce8514a866134fee40dc0684dbe6 SHA512 d0ae6f20bdb99651a355d0d03b376497a6573cd62b379f010b8dc6192967bf43fb16066d2129f8368c62760361f659031133ed15e3908f81d5fc32f14a52b245 WHIRLPOOL c9b45fce564ac2562b0770a8cabfef63b3e23ab7d87b5c5c885b083f71953ed397523bf6d6e488707a4b359288b9c6893c6fd3869558f9c37ff3fec9a0696885
DIST utox-0.16.1.tar.gz 2412331 SHA256 d8fcee0dbf25596e67c4323fc153069552eeeb4d99cdcdc09ca2074ebc38b493 SHA512 60350bf28b8ac067287550ce42bfb9b10502fbe94298ea9d4f00fb257bfc76c6cd9a7ef843719732e8d3e84789a391a95f3f1be732427b99ab8af472844e62a4 WHIRLPOOL b4e6be767d15ecd93010f95d4b58e3473d9fcff4b8929bbab62a09272694bdb780b8e2df8a348d49c4484a2b809c7e39e209840d990eef68c752599adec9aa67

View File

@ -1,52 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit xdg-utils gnome2-utils cmake-utils
DESCRIPTION="Lightweight Tox client"
HOMEPAGE="https://utox.io"
SRC_URI="https://github.com/uTox/uTox/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
IUSE="+dbus filter_audio test"
KEYWORDS="~amd64"
RDEPEND="net-libs/tox[av]
media-libs/freetype
filter_audio? ( media-libs/libfilteraudio )
media-libs/libv4l
media-libs/opus
media-libs/libvpx
x11-libs/libXrender
media-libs/fontconfig
media-libs/openal
x11-libs/libX11
x11-libs/libXext
dbus? ( sys-apps/dbus )"
DEPEND="${RDEPEND}
test? ( dev-libs/check )
virtual/pkgconfig"
S=${WORKDIR}/uTox-${PV}
src_configure() {
local mycmakeargs=(
-DENABLE_FILTERAUDIO=$(usex filter_audio ON OFF)
-DENABLE_DBUS=$(usex dbus ON OFF)
-DENABLE_TESTS=$(usex test ON OFF)
)
cmake-utils_src_configure
}
pkg_postinst() {
xdg_desktop_database_update
gnome2_icon_cache_update
}
pkg_postrm() {
xdg_desktop_database_update
gnome2_icon_cache_update
}

View File

@ -1,52 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit xdg-utils gnome2-utils cmake-utils
DESCRIPTION="Lightweight Tox client"
HOMEPAGE="https://utox.io"
SRC_URI="https://github.com/uTox/uTox/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
IUSE="+dbus filter_audio test"
KEYWORDS="~amd64"
RDEPEND="net-libs/tox[av]
media-libs/freetype
filter_audio? ( media-libs/libfilteraudio )
media-libs/libv4l
media-libs/opus
media-libs/libvpx
x11-libs/libXrender
media-libs/fontconfig
media-libs/openal
x11-libs/libX11
x11-libs/libXext
dbus? ( sys-apps/dbus )"
DEPEND="${RDEPEND}
test? ( dev-libs/check )
virtual/pkgconfig"
S=${WORKDIR}/uTox-${PV}
src_configure() {
local mycmakeargs=(
-DENABLE_FILTERAUDIO=$(usex filter_audio ON OFF)
-DENABLE_DBUS=$(usex dbus ON OFF)
-DENABLE_TESTS=$(usex test ON OFF)
)
cmake-utils_src_configure
}
pkg_postinst() {
xdg_desktop_database_update
gnome2_icon_cache_update
}
pkg_postrm() {
xdg_desktop_database_update
gnome2_icon_cache_update
}

View File

@ -1,51 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit git-r3 xdg-utils gnome2-utils cmake-utils
DESCRIPTION="Lightweight Tox client"
HOMEPAGE="https://utox.io"
SRC_URI=""
EGIT_REPO_URI="https://github.com/uTox/uTox.git"
LICENSE="GPL-3"
SLOT="0"
IUSE="+dbus filter_audio test"
KEYWORDS=""
RDEPEND="net-libs/tox[av]
media-libs/freetype
filter_audio? ( media-libs/libfilteraudio )
media-libs/libv4l
media-libs/opus
media-libs/libvpx
x11-libs/libXrender
media-libs/fontconfig
media-libs/openal
x11-libs/libX11
x11-libs/libXext
dbus? ( sys-apps/dbus )"
DEPEND="${RDEPEND}
test? ( dev-libs/check )
virtual/pkgconfig"
src_configure() {
local mycmakeargs=(
-DENABLE_FILTERAUDIO=$(usex filter_audio ON OFF)
-DENABLE_DBUS=$(usex dbus ON OFF)
-DENABLE_TESTS=$(usex test ON OFF)
)
cmake-utils_src_configure
}
pkg_postinst() {
xdg_desktop_database_update
gnome2_icon_cache_update
}
pkg_postrm() {
xdg_desktop_database_update
gnome2_icon_cache_update
}

View File

@ -1,10 +0,0 @@
*tox-0.1.6 (20 Jul 2018)
*tox-0.2.3 (20 Jul 2018)
*tox-0_pre20160904 (20 Jul 2018)
*tox-9999 (20 Jul 2018)
20 Jul 2018; Horea Christian <h.chr@mail.ru> +files/confd, +files/initd,
+files/tox-bootstrapd.conf, +files/tox-bootstrapd.service, +metadata.xml,
+tox-0.1.6.ebuild, +tox-0.2.3.ebuild, +tox-0_pre20160904.ebuild,
+tox-9999.ebuild:
net-libs/tox: new package with attempted version bump

View File

@ -1,3 +0,0 @@
DIST tox-0.1.6.tar.lz 314837 SHA256 c51dfaf30cddbfb9a6080c8202d68113452224570109cd9a6f1b7d9709eae6af SHA512 57ed7cee2c621c57e24f5ab36d68d99414d9820cdb3e8b7c4390818222f9d885f352f9cf76c8eb522c238bebc7d420bcf3cdd5f6ab65b9801aadbd225765166c WHIRLPOOL f75b27ade0f87f3793affbd291aba4b9e2387a29cd89deaf1351ed0797f634737938ff68d95a9fa1866891a68fa7a3b7f1c7ff0b68e3865eb7835fb9c4e5ff8b
DIST tox-0.2.3.tar.gz 471336 SHA256 22c52f286c46d3f802edb6978bcf2a53f8301363e2b745784613427a33ba3a34 SHA512 25433cbbc0aa7e32174c8517a93c6351a23bd04cef34945876290bbd01e6074a5d7df2f5dcd39e67e3e18a6817346f98c45d55d789d462055643271ce44e49ee WHIRLPOOL 2a33e3d8e98d13b81a84248c7e289a321ab7e17ae438a17019d16b814f32f1545b86862cffc51c63353f7b9b9a2b2ba8e8394f4e9bfc7576a473ab59a3f240cd
DIST tox-0_pre20160904.tar.gz 395495 SHA256 2d4a0d096bdb81b12b10551765fb9f87270e170f10f387f700b3def68cb6c35c SHA512 c0da52ac908141e97e96510a05431cbfb4b9aae81faf4c136c95e21b90a23e3bbe6db88303e48c0f4f3c74ca954229787564b7aa41bfb462afb0d8f8430cdaa1 WHIRLPOOL abd3f61784fac93d983e453515d1e8bc87f7d76651a53ce6f566a277d7ec7c1e03294d95781364ce9ab30f2698c6f5cd552bfa4888f8d5d0d315daf038980c63

View File

@ -1,2 +0,0 @@
TOX_GROUP=tox
TOX_USER=tox

View File

@ -1,30 +0,0 @@
#!/sbin/openrc-run
PIDDIR=/run/tox-bootstrapd
PIDFILE="${PIDDIR}"/tox-bootstrap.pid
depend() {
need net
}
start() {
ebegin "Starting tox-dht-bootstrap daemon"
checkpath -d -q -o "${TOX_USER}":"${TOX_GROUP}" "${PIDDIR}"
start-stop-daemon --start \
--pidfile "${PIDFILE}" \
--user="${TOX_USER}" --group="${TOX_GROUP}" \
--exec /usr/bin/tox-bootstrapd -- --config /etc/tox-bootstrapd.conf
eend $?
}
stop() {
ebegin "Stopping tox-dht-bootstrap daemon"
start-stop-daemon --stop \
--pidfile "${PIDFILE}"
eend $?
}

View File

@ -1,65 +0,0 @@
// Tox DHT bootstrap daemon configuration file.
// Listening port (UDP).
port = 33445
// A key file is like a password, so keep it where no one can read it.
// If there is no key file, a new one will be generated.
// The daemon should have permission to read/write it.
keys_file_path = "/var/lib/tox-bootstrapd/keys"
// The PID file written to by the daemon.
// Make sure that the user that daemon runs as has permissions to write to the
// PID file.
pid_file_path = "/var/run/tox-bootstrapd/tox-bootstrapd.pid"
// Enable IPv6.
enable_ipv6 = true
// Fallback to IPv4 in case IPv6 fails.
enable_ipv4_fallback = true
// Automatically bootstrap with nodes on local area network.
enable_lan_discovery = true
enable_tcp_relay = true
// While Tox uses 33445 port by default, 443 (https) and 3389 (rdp) ports are very
// common among nodes, so it's encouraged to keep them in place.
tcp_relay_ports = [443, 3389, 33445]
// Reply to MOTD (Message Of The Day) requests.
enable_motd = true
// Just a message that is sent when someone requests MOTD.
// Put anything you want, but note that it will be trimmed to fit into 255 bytes.
motd = "tox-bootstrapd"
// Any number of nodes the daemon will bootstrap itself off.
//
// Remember to replace the provided example with your own node list.
// There is a maintained list of bootstrap nodes on Tox's wiki, if you need it
// (https://wiki.tox.chat/users/nodes).
//
// You may leave the list empty or remove "bootstrap_nodes" completely,
// in both cases this will be interpreted as if you don't want to bootstrap
// from anyone.
//
// address = any IPv4 or IPv6 address and also any US-ASCII domain name.
bootstrap_nodes = (
{ // Example Node 1 (IPv4)
address = "127.0.0.1"
port = 33445
public_key = "728925473812C7AAC482BE7250BCCAD0B8CB9F737BF3D42ABD34459C1768F854"
},
{ // Example Node 2 (IPv6)
address = "::1/128"
port = 33445
public_key = "3E78BACF0F84235B30054B54898F56793E1DEF8BD46B1038B9D822E8460FAB67"
},
{ // Example Node 3 (US-ASCII domain name)
address = "example.org"
port = 33445
public_key = "8CD5A9BF0A6CE358BA36F7A653F99FA6B258FF756E490F52C1F98CC420F78858"
}
)

View File

@ -1,15 +0,0 @@
[Unit]
Description=Tox DHT Bootstrap Daemon
After=network.target
[Service]
User=tox
Group=tox
RuntimeDirectory=tox-bootstrapd
PIDFile=/run/tox-bootstrapd/tox-bootstrapd.pid
WorkingDirectory=/var/lib/tox-bootstrapd
ExecStart=/usr/bin/tox-bootstrapd --config /etc/tox-bootstrapd.conf
#CapabilityBoundingSet=CAP_NET_BIND_SERVICE
[Install]
WantedBy=multi-user.target

View File

@ -1,19 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<!-- maintainer-needed -->
<use>
<flag name="av">Adds support for audio and video.</flag>
<flag name="no-log">Log level: 0 (no debug info logged)</flag>
<flag name="log-error">Log level: 1</flag>
<flag name="log-warn">Log level: 2</flag>
<flag name="log-info">Log level: 3</flag>
<flag name="log-debug">Log level: 4</flag>
<flag name="log-trace">Log level: 5</flag>
<flag name="ntox">Enable the testing nTox client.</flag>
<flag name="daemon">Enable the DHT Bootstrap Daemon.</flag>
</use>
<upstream>
<remote-id type="github">TokTok/c-toxcore</remote-id>
</upstream>
</pkgmetadata>

View File

@ -1,77 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit autotools systemd unpacker user
DESCRIPTION="Encrypted P2P, messaging, and audio/video calling platform"
HOMEPAGE="https://tox.chat"
SRC_URI="https://github.com/TokTok/c-toxcore/releases/download/v${PV}/c-toxcore-v${PV}.tar.lz -> ${P}.tar.lz"
LICENSE="GPL-3+"
SLOT="0/0.1"
KEYWORDS="~amd64 ~arm ~x86"
IUSE="+av daemon log-debug log-error log-info log-trace log-warn +no-log ntox static-libs test"
REQUIRED_USE="^^ ( no-log log-trace log-debug log-info log-warn log-error )"
RDEPEND="
av? ( media-libs/libvpx:=
media-libs/opus )
daemon? ( dev-libs/libconfig )
ntox? ( sys-libs/ncurses:0= )
>=dev-libs/libsodium-0.6.1:=[asm,urandom]"
DEPEND="${RDEPEND}
$(unpacker_src_uri_depends)
test? ( dev-libs/check )
virtual/pkgconfig"
S=${WORKDIR}
src_prepare() {
default
eautoreconf
}
src_configure() {
econf \
$(usex log-trace "--enable-logging --with-log-level=TRACE" "") \
$(usex log-debug "--enable-logging --with-log-level=DEBUG" "") \
$(usex log-info "--enable-logging --with-log-level=INFO" "") \
$(usex log-warn "--enable-logging --with-log-level=WARNING" "") \
$(usex log-error "--enable-logging --with-log-level=ERROR" "") \
$(use_enable av) \
$(use_enable test tests) \
$(use_enable ntox) \
$(use_enable daemon) \
$(use_enable static-libs static)
}
src_install() {
default
if use daemon; then
newinitd "${FILESDIR}"/initd tox-dht-daemon
newconfd "${FILESDIR}"/confd tox-dht-daemon
insinto /etc
doins "${FILESDIR}"/tox-bootstrapd.conf
systemd_dounit "${FILESDIR}"/tox-bootstrapd.service
fi
find "${D}" -name '*.la' -delete || die
}
pkg_postinst() {
if use daemon; then
enewgroup ${PN}
enewuser ${PN} -1 -1 -1 ${PN}
if [[ -f ${EROOT%/}/var/lib/tox-dht-bootstrap/key ]]; then
ewarn "Backwards compatability with the bootstrap daemon might have been"
ewarn "broken a while ago. To resolve this issue, REMOVE the following files:"
ewarn " ${EROOT%/}/var/lib/tox-dht-bootstrap/key"
ewarn " ${EROOT%/}/etc/tox-bootstrapd.conf"
ewarn " ${EROOT%/}/run/tox-dht-bootstrap/tox-dht-bootstrap.pid"
ewarn "Then just re-emerge net-libs/tox"
fi
fi
}

View File

@ -1,77 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit autotools systemd unpacker user
DESCRIPTION="Encrypted P2P, messaging, and audio/video calling platform"
HOMEPAGE="https://tox.chat"
SRC_URI="https://github.com/TokTok/c-toxcore/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-3+"
SLOT="0/0.1"
KEYWORDS="~amd64 ~arm ~x86"
IUSE="+av daemon log-debug log-error log-info log-trace log-warn +no-log ntox static-libs test"
REQUIRED_USE="^^ ( no-log log-trace log-debug log-info log-warn log-error )"
RDEPEND="
av? ( media-libs/libvpx:=
media-libs/opus )
daemon? ( dev-libs/libconfig )
ntox? ( sys-libs/ncurses:0= )
>=dev-libs/libsodium-0.6.1:=[asm,urandom]"
DEPEND="${RDEPEND}
$(unpacker_src_uri_depends)
test? ( dev-libs/check )
virtual/pkgconfig"
S=${WORKDIR}
src_prepare() {
default
eautoreconf
}
src_configure() {
econf \
$(usex log-trace "--enable-logging --with-log-level=TRACE" "") \
$(usex log-debug "--enable-logging --with-log-level=DEBUG" "") \
$(usex log-info "--enable-logging --with-log-level=INFO" "") \
$(usex log-warn "--enable-logging --with-log-level=WARNING" "") \
$(usex log-error "--enable-logging --with-log-level=ERROR" "") \
$(use_enable av) \
$(use_enable test tests) \
$(use_enable ntox) \
$(use_enable daemon) \
$(use_enable static-libs static)
}
src_install() {
default
if use daemon; then
newinitd "${FILESDIR}"/initd tox-dht-daemon
newconfd "${FILESDIR}"/confd tox-dht-daemon
insinto /etc
doins "${FILESDIR}"/tox-bootstrapd.conf
systemd_dounit "${FILESDIR}"/tox-bootstrapd.service
fi
find "${D}" -name '*.la' -delete || die
}
pkg_postinst() {
if use daemon; then
enewgroup ${PN}
enewuser ${PN} -1 -1 -1 ${PN}
if [[ -f ${EROOT%/}/var/lib/tox-dht-bootstrap/key ]]; then
ewarn "Backwards compatability with the bootstrap daemon might have been"
ewarn "broken a while ago. To resolve this issue, REMOVE the following files:"
ewarn " ${EROOT%/}/var/lib/tox-dht-bootstrap/key"
ewarn " ${EROOT%/}/etc/tox-bootstrapd.conf"
ewarn " ${EROOT%/}/run/tox-dht-bootstrap/tox-dht-bootstrap.pid"
ewarn "Then just re-emerge net-libs/tox"
fi
fi
}

View File

@ -1,75 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit autotools systemd user vcs-snapshot
DESCRIPTION="Encrypted P2P, messaging, and audio/video calling platform"
HOMEPAGE="https://tox.chat"
EGIT_COMMIT="755f084e8720b349026c85afbad58954cb7ff1d4"
SRC_URI="https://github.com/irungentoo/toxcore/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-3+"
SLOT="0/0.0"
KEYWORDS="~amd64 ~arm ~x86"
IUSE="+av daemon log-debug log-error log-info log-trace log-warn +no-log ntox static-libs test"
REQUIRED_USE="^^ ( no-log log-trace log-debug log-info log-warn log-error )"
RDEPEND="
av? ( media-libs/libvpx:=
media-libs/opus )
daemon? ( dev-libs/libconfig )
ntox? ( sys-libs/ncurses:0= )
>=dev-libs/libsodium-0.6.1:=[asm,urandom]"
DEPEND="${RDEPEND}
test? ( dev-libs/check )
virtual/pkgconfig"
src_prepare() {
default
eautoreconf
}
src_configure() {
econf \
$(usex log-trace "--enable-logging --with-log-level=TRACE" "") \
$(usex log-debug "--enable-logging --with-log-level=DEBUG" "") \
$(usex log-info "--enable-logging --with-log-level=INFO" "") \
$(usex log-warn "--enable-logging --with-log-level=WARNING" "") \
$(usex log-error "--enable-logging --with-log-level=ERROR" "") \
$(use_enable av) \
$(use_enable test tests) \
$(use_enable ntox) \
$(use_enable daemon) \
$(use_enable static-libs static)
}
src_install() {
default
if use daemon; then
newinitd "${FILESDIR}"/initd tox-dht-daemon
newconfd "${FILESDIR}"/confd tox-dht-daemon
insinto /etc
doins "${FILESDIR}"/tox-bootstrapd.conf
systemd_dounit "${FILESDIR}"/tox-bootstrapd.service
fi
find "${D}" -name '*.la' -delete || die
}
pkg_postinst() {
if use daemon; then
enewgroup ${PN}
enewuser ${PN} -1 -1 -1 ${PN}
if [[ -f ${EROOT}var/lib/tox-dht-bootstrap/key ]]; then
ewarn "Backwards compatability with the bootstrap daemon might have been"
ewarn "broken a while ago. To resolve this issue, REMOVE the following files:"
ewarn " ${EROOT}var/lib/tox-dht-bootstrap/key"
ewarn " ${EROOT}etc/tox-bootstrapd.conf"
ewarn " ${EROOT}run/tox-dht-bootstrap/tox-dht-bootstrap.pid"
ewarn "Then just re-emerge net-libs/tox"
fi
fi
}

View File

@ -1,75 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit autotools git-r3 user systemd
DESCRIPTION="Encrypted P2P, messaging, and audio/video calling platform"
HOMEPAGE="https://tox.chat"
SRC_URI=""
EGIT_REPO_URI="https://github.com/TokTok/c-toxcore.git"
LICENSE="GPL-3+"
SLOT="0/0.1"
KEYWORDS=""
IUSE="+av daemon log-debug log-error log-info log-trace log-warn +no-log ntox static-libs test"
REQUIRED_USE="^^ ( no-log log-trace log-debug log-info log-warn log-error )"
RDEPEND="
av? ( media-libs/libvpx:=
media-libs/opus )
daemon? ( dev-libs/libconfig )
ntox? ( sys-libs/ncurses:0= )
>=dev-libs/libsodium-0.6.1:=[asm,urandom]"
DEPEND="${RDEPEND}
test? ( dev-libs/check )
virtual/pkgconfig"
src_prepare() {
default
eautoreconf
}
src_configure() {
econf \
$(usex log-trace "--enable-logging --with-log-level=TRACE" "") \
$(usex log-debug "--enable-logging --with-log-level=DEBUG" "") \
$(usex log-info "--enable-logging --with-log-level=INFO" "") \
$(usex log-warn "--enable-logging --with-log-level=WARNING" "") \
$(usex log-error "--enable-logging --with-log-level=ERROR" "") \
$(use_enable av) \
$(use_enable test tests) \
$(use_enable ntox) \
$(use_enable daemon) \
$(use_enable static-libs static)
}
src_install() {
default
if use daemon; then
newinitd "${FILESDIR}"/initd tox-dht-daemon
newconfd "${FILESDIR}"/confd tox-dht-daemon
insinto /etc
doins "${FILESDIR}"/tox-bootstrapd.conf
systemd_dounit "${FILESDIR}"/tox-bootstrapd.service
fi
find "${D}" -name '*.la' -delete || die
}
pkg_postinst() {
if use daemon; then
enewgroup ${PN}
enewuser ${PN} -1 -1 -1 ${PN}
if [[ -f ${EROOT%/}/var/lib/tox-dht-bootstrap/key ]]; then
ewarn "Backwards compatability with the bootstrap daemon might have been"
ewarn "broken a while ago. To resolve this issue, REMOVE the following files:"
ewarn " ${EROOT%/}/var/lib/tox-dht-bootstrap/key"
ewarn " ${EROOT%/}/etc/tox-bootstrapd.conf"
ewarn " ${EROOT%/}/run/tox-dht-bootstrap/tox-dht-bootstrap.pid"
ewarn "Then just re-emerge net-libs/tox"
fi
fi
}

View File

@ -1,3 +1,13 @@
*ants-2.3.1_p20191013 (14 Dec 2019)
14 Dec 2019; <chymera@gentoo.org> +ants-2.3.1_p20191013.ebuild,
-ants-9999.ebuild, metadata.xml:
sci-biology/ants: prefix fix ahead of Gentoo Science
25 Nov 2019; <chymera@gentoo.org> -ants-2.3.1_p20191013.ebuild:
sci-biology/ants: migrated version bump to Gentoo Scinece https://gitweb.gent
oo.org/proj/sci.git/commit/?id=402183f38c721910fe038ed4ce04e0a98a37c584
17 Oct 2019; <chymera@gentoo.org> ants-9999.ebuild:
sci-biology/ants: patch merged by ANTs upstream

View File

@ -47,13 +47,13 @@ src_unpack() {
src_configure() {
local mycmakeargs=(
-DUSE_SYSTEM_ITK=ON
-DITK_DIR="/usr/include/ITK-5.0/"
-DITK_DIR="${EROOT}/usr/include/ITK-5.0/"
-DBUILD_TESTING="$(usex test ON OFF)"
-DUSE_VTK=$(usex vtk ON OFF)
-DUSE_SYSTEM_VTK=$(usex vtk ON OFF)
)
use vtk && mycmakeargs+=(
-DVTK_DIR="/usr/include/vtk-8.1/"
-DVTK_DIR="${EROOT}/usr/include/vtk-8.1/"
)
use test && mycmakeargs+=(
-DExternalData_OBJECT_STORES="${S}/.ExternalData/MD5"
@ -67,6 +67,6 @@ src_install() {
cd "${WORKDIR}/${P}/Scripts" || die "scripts dir not found"
dobin *.sh
dodir /usr/$(get_libdir)/ants
install -t "${D}"/usr/$(get_libdir)/ants * || die
install -t "${D}"/"${EROOT%/}"/usr/$(get_libdir)/ants * || die
doenvd "${FILESDIR}"/99ants
}

View File

@ -1,70 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
CMAKE_MAKEFILE_GENERATOR="emake"
inherit cmake-utils git-r3 multilib
DESCRIPTION="Advanced Normalitazion Tools for neuroimaging"
HOMEPAGE="http://stnava.github.io/ANTs/"
SRC_URI="
test? (
http://chymera.eu/distfiles/ants_testdata-2.3.1_p20191013.tar.xz
)
"
EGIT_REPO_URI="https://github.com/stnava/ANTs.git"
SLOT="0"
LICENSE="BSD"
KEYWORDS=""
IUSE="test vtk"
DEPEND="
vtk? (
~sci-libs/itk-5.0.1[vtkglue]
sci-libs/vtk
)
!vtk? ( ~sci-libs/itk-5.0.1 )
"
RDEPEND="${DEPEND}"
PATCHES=(
"${FILESDIR}/${PN}-2.3.1_p20191013-paths.patch"
)
src_unpack() {
git-r3_src_unpack
if use test; then
mkdir -p "${S}/.ExternalData/MD5" || die "Could not create test data directory."
tar xvf "${DISTDIR}/ants_testdata-2.3.1_p20191013.tar.xz" -C "${S}/.ExternalData/MD5/" > /dev/null || die "Could not unpack test data."
fi
}
src_configure() {
local mycmakeargs=(
-DUSE_SYSTEM_ITK=ON
-DITK_DIR="/usr/include/ITK-5.0/"
-DBUILD_TESTING="$(usex test ON OFF)"
-DUSE_VTK=$(usex vtk ON OFF)
-DUSE_SYSTEM_VTK=$(usex vtk ON OFF)
)
use vtk && mycmakeargs+=(
-DVTK_DIR="/usr/include/vtk-8.1/"
)
use test && mycmakeargs+=(
-DExternalData_OBJECT_STORES="${S}/.ExternalData/MD5"
)
cmake-utils_src_configure
}
src_install() {
BUILD_DIR="${WORKDIR}/${P}_build/ANTS-build"
cmake-utils_src_install
cd "${WORKDIR}/${P}/Scripts" || die "scripts dir not found"
dobin *.sh
dodir /usr/$(get_libdir)/ants
install -t "${D}"/usr/$(get_libdir)/ants * || die
doenvd "${FILESDIR}"/99ants
}

View File

@ -2,7 +2,7 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>horea.christ@gmail.com</email>
<email>chr@chymera.eu</email>
<name>Horea Christian</name>
</maintainer>
<maintainer type="project">

View File

@ -3,6 +3,15 @@
files/fsl-6.0.2-qstring_compat.patch, files/fsl-6.0.2-setup.patch:
sci-biology/fsl: credit and detail the patches.
16 Jan 2020; <chymera@gentoo.org> fsl-6.0.2.ebuild:
sci-biology/fsl: dropped commented matlab USE flag
15 Jan 2020; <chymera@gentoo.org> fsl-6.0.2.ebuild:
sci-biology/fsl: added dependency and bumped EAPI
14 Nov 2019; François Bissey <frp.bissey@gmail.com> fsl-6.0.2.ebuild:
sci-biology/fsl: use generic blas/lapack revert stuff.
08 Nov 2019; François Bissey <frp.bissey@gmail.com> fsl-6.0.2.ebuild:
sci-biology/fsl: final touches. Skip mist-clean.

View File

@ -1,7 +1,7 @@
# Copyright 1999-2019 Gentoo Authors
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
EAPI=7
inherit flag-o-matic toolchain-funcs prefix
@ -16,6 +16,7 @@ IUSE=""
DEPEND="
dev-libs/boost
dev-python/fslpy
media-gfx/graphviz
media-libs/gd
media-libs/glu
@ -25,8 +26,8 @@ DEPEND="
sys-libs/zlib
dev-lang/tcl:0=
dev-lang/tk:0=
virtual/lapack
virtual/blas
>=virtual/lapack-3.8
>=virtual/blas-3.8
"
RDEPEND="${DEPEND}"
@ -78,10 +79,6 @@ src_prepare(){
$(grep -rl "\${FSLDIR}/bin" etc/matlab/*)\
$(grep -rl "\$FSLDIR/bin" etc/matlab/*) || die
# Not caught by the previous sed. Usually append
sed -e "s:\${FSLDIR}/bin::g" \
-i $(grep -rl "\${FSLDIR}/bin" src/*) || die
sed -e "s:\$FSLDIR/data:${EPREFIX}/usr/share/fsl/data:g" \
-e "s:\${FSLDIR}/data:${EPREFIX}/usr/share/fsl/data:g" \
-i $(grep -rl "\$FSLDIR/data" src/*) \
@ -100,6 +97,10 @@ src_prepare(){
-i $(grep -rlI "\$FSLDIR/etc" *) \
-i $(grep -rlI "\${FSLDIR}/etc" *) || die
# Use generic blas/lapack rather than openblas
sed -e "s:-lopenblas:-llapack -lblas:g" \
-i $(grep -rlI lopenblas *) || die
# script wanting to have access to flsversion at buildtime
sed -e "s:/etc/fslversion:${S}/etc/fslversion:g" \
-i ${makefilelist} || die
@ -142,9 +143,6 @@ src_install() {
insinto /etc
doins etc/fslversion
doins -r etc/default_flobs.flobs etc/flirtsch etc/js etc/luts
#if use matlab; then
# doins etc/matlab
#fi
#the following is needed for FSL and depending programs to be able
#to find its files, since FSL uses an uncommon installation path:

View File

@ -1,10 +0,0 @@
*irsabi_bidsdata-1.3.1 (08 Nov 2019)
08 Nov 2019; <chymera@gentoo.org> +irsabi_bidsdata-1.3.1.ebuild,
-irsabi_bidsdata-1.3.ebuild:
sci-biology/irsabi_bidsdata: version bump 1.3.1 ahead of Gentoo Science
*irsabi_bidsdata-1.3 (19 Sep 2019)
19 Sep 2019; <chymera@gentoo.org> +irsabi_bidsdata-1.3.ebuild, +metadata.xml:
sci-biology/irsabi_bidsdata: version bump 1.3

View File

@ -1 +0,0 @@
DIST irsabi_bidsdata-1.3.1.tar.xz 4503360924 SHA256 e8ef649c16cd414d39c3d687850a2bfa6e08eefded50f1f1b4cc0c1c84541ea7 SHA512 c4516bce690b6d7e576ef491895b0bb6d9e21cb16da1ab892e8822f7bc358ba4ca7011bdab0e4e7bf9f774ac53404bee341531e8f834ee47e68ab7bb3be67e40 WHIRLPOOL 1cdbe4cdbf71c5ec657827db6d72ff34a2a17a0041c9d21a9ab9dbc30a5b20ca29e3024839626623d7e6d7dc09dbeb706dc0a77363a3aacdcdf7542c86ece389

View File

@ -1,19 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>horea.christ@gmail.com</email>
<name>Horea Christian</name>
</maintainer>
<maintainer type="project">
<email>sci@gentoo.org</email>
<name>Gentoo Science Project</name>
</maintainer>
<longdescription lang="en">
BIDS-formatted MRI data recorded at the ETH/UZH Animal Imaging Center
and first associated with the IRSABI publication. The data represents
f/MRI mouse brain scans with both BOLD and CBV contrasts, and acquired
during optogenetic stimulation over multiple sessions including acute
(i.v.) and chronic (s.c.) fluoxetine administration sessions.
</longdescription>
</pkgmetadata>

View File

@ -0,0 +1,10 @@
*irsabi_brudata-1.4.1 (16 Jan 2020)
16 Jan 2020; <chymera@gentoo.org> +irsabi_brudata-1.4.1.ebuild,
-irsabi_brudata-1.4.ebuild:
sci-biology/irsabi_brudata: version bump 1.4.1
*irsabi_brudata-1.4 (11 Jan 2020)
11 Jan 2020; <chymera@gentoo.org> +irsabi_brudata-1.4.ebuild, +metadata.xml:
sci-biology/irsabi_brudata: new package ahead of Gentoo Science

View File

@ -0,0 +1 @@
DIST irsabi_brudata-1.4.1.tar.xz 11245088748 SHA256 312c9b4c5e2380806c39d164d101e1e8b2cbdbebf839224bbafb43a7f24c35cf SHA512 1cdd0653ad652ee52a03377d97c4e7fff71a30e90af91a1c5b8678a100abd3b6bf40c9d78765ed113d280a7ae24c6c83cce22b9dd50907289c21935c572dda10 WHIRLPOOL ff8b64e88300e940786e4a67e757f2b91fb507752396315d8f2ad44ee883f8903750f59fa38fe0ee73d71f099f59325baa75f050be9865c4826a7398677a2d52

View File

@ -1,4 +1,4 @@
# Copyright 1999-2019 Gentoo Authors
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@ -17,7 +17,7 @@ RDEPEND=""
DEPEND=""
pkg_pretend() {
CHECKREQS_DISK_BUILD="10G"
CHECKREQS_DISK_BUILD="12G"
check-reqs_pkg_pretend
}

View File

@ -1,5 +0,0 @@
*irsabi_data-1.0 (06 Jan 2019)
06 Jan 2019; Horea Christian <h.chr@mail.ru> +irsabi_data-1.0.ebuild,
+metadata.xml:
sci-biology/irsabi_data: new package ahead of Gentoo Science

View File

@ -1 +0,0 @@
DIST irsabi_data-1.0.tar.xz 11245040468 SHA256 ba07c493d10766ac1ff30bf94556453d48a33225c945bc5f709f4787c5daf551 SHA512 615f5ee77a67f10ab2e895f4387908f8becf37477e26d7e1acacfa91d96dbcd72d85690147b379688373a08155347e637a658bc5de89f0432588362d7b642179 WHIRLPOOL 90c6fcf754e58c563f44d07cf95a4deca42049af6fc44c8c6984583bea885a33a55f70b38bb0052efc2c8d2203f8004fd8d333ed198c09f1ff1ce158597ae48a

View File

@ -0,0 +1,9 @@
*nvcz_data-0.2 (27 Nov 2019)
27 Nov 2019; <chymera@gentoo.org> +nvcz_data-0.2.ebuild:
sci-biology/nvcz_data: version bump 0.2 removed optical pipeline files
*samri_bindata-0.3 (17 Oct 2019)
17 Oct 2019; <chymera@gentoo.org> +metadata.xml, +samri_bindata-0.3.ebuild:
sci-biology/samri_bindata: version bump ahead of Gentoo Science

View File

@ -0,0 +1,2 @@
DIST nvcz_data-0.1.tar.xz 1634626696 SHA256 995a5cdffbcdc975ca95baea3e637a306ac6839a687e040ef7dd020c5a082674 SHA512 e16cc16c718237a97c0c7f05acea2e0b0a511cb3826cac50af2cd67ea59ebfd0a8646961ebe3cbceafea3607cc1c65ae89c32b49c5647f58007033f42d0eb37c WHIRLPOOL 846b7c05417f10c658c7de9be3afa88fcf666227ad96ff2e7f3f3510aa097bf3435ef6633aa4fb0003e72b6fb3cf8c77a3b90a61f0e5c089ea22091a15e0e0e1
DIST nvcz_data-0.2.tar.xz 1588276256 SHA256 bf88ae8a29d2d658b24a3e749fe9566017690aa4a926acc56948fbc7563610ba SHA512 6193354451be5fa04d473c06396c1cd1eda2cc14484c20a2aff626aaa02d6ebfbaf49ea12fdaf0d14c02f02e4a77ac383e1b396c006ee90c2e5d34b9f0c34889 WHIRLPOOL 9f2897ea955c563f0c3d67070f149470c4d94b68c76e84936e1390f938e9d927b36e724bd8e7582e8dd493d8e112cd544e66cc99c15884499c0428ff20852285

View File

@ -2,7 +2,7 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>horea.christ@gmail.com</email>
<email>chr@chymera.eu</email>
<name>Horea Christian</name>
</maintainer>
<maintainer type="project">
@ -10,6 +10,7 @@
<name>Gentoo Science Project</name>
</maintainer>
<longdescription lang="en">
Larger BIDS example data package for sci-biology/samri.
Bruker raw data and BIDS data (recomputed from AFNI HEAD/BRIK files)
from mouse fMRI and optical recordings during hindpaw stimulation.
</longdescription>
</pkgmetadata>

View File

@ -3,8 +3,8 @@
EAPI=7
DESCRIPTION="BIDS-formatted example mouse brain data for SAMRI"
HOMEPAGE="https://github.com/IBT-FMI/SAMRI"
DESCRIPTION="Bruker and BIDS data from neurovascular coupling experiments"
HOMEPAGE="https://gitlab.com/Chymera/nvcz"
SRC_URI="
http://chymera.eu/distfiles/${P}.tar.xz
"

View File

@ -3,29 +3,20 @@
EAPI=7
inherit check-reqs
DESCRIPTION="BIDS data files released with the IRSABI publication"
HOMEPAGE="http://www.aic-fmi.ethz.ch/"
DESCRIPTION="Bruker and BIDS data from neurovascular coupling experiments"
HOMEPAGE="https://gitlab.com/Chymera/nvcz"
SRC_URI="
http://chymera.eu/distfiles/${P}.tar.xz
"
LICENSE="CC-BY-SA-4.0"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
IUSE=""
RDEPEND=""
DEPEND=""
pkg_pretend() {
CHECKREQS_DISK_BUILD="10G"
check-reqs_pkg_pretend
}
# We disable this phase to not check requirements twice.
pkg_setup() { :; }
src_install() {
insinto "/usr/share/${PN}"
doins -r *

View File

@ -1,4 +0,0 @@
*opfvta_bidsdata-1.1 (06 Nov 2019)
06 Nov 2019; <chymera@gentoo.org> +metadata.xml, +opfvta_bidsdata-1.1.ebuild:
sci-biology/opfvta_bidsdata: version bump 1.1 ahead of Gentoo Science

View File

@ -1 +0,0 @@
DIST opfvta_bidsdata-1.1.tar.xz 12029390364 SHA256 73410f67899da24e79138082062ca11394ec5089626c635a491897c47f0d70ad SHA512 80d213b5539a254605f3ce3162a5b5f4f0e7b0b1dbaff6862dbe0fa7fd173020fd38978c97d335939ca667df677feef954ad122e970295f0c28a8bc827e13aec WHIRLPOOL 0d35dea47d5752a24ef4eda933e50b199ea7cf5e571081debf0416d4632cb3f979744c39cd3b665139a95372a9f0484d0539989ff8f80511c5620c9ee34a129e

View File

@ -1,20 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>chr@chymera.eu</email>
<name>Horea Christian</name>
</maintainer>
<maintainer type="project">
<email>sci@gentoo.org</email>
<name>Gentoo Science Project</name>
</maintainer>
<longdescription lang="en">
BIDS-formatted MRI data recorded at the ETH/UZH Animal Imaging Center
and first associated with the OPFVTA publication. The data represents
f/MRI mouse brain scans with both BOLD and CBV contrasts, using block
and phasic stimulation protocols delivered via a laser to the VTA,
which is rendered sensitive by channelrhodopsin expression under
the dopamine transporter promoter.
</longdescription>
</pkgmetadata>

View File

@ -1,33 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit check-reqs
DESCRIPTION="BIDS data files released with the OPFVTA publication"
HOMEPAGE="http://www.aic-fmi.ethz.ch/"
SRC_URI="
https://zenodo.org/record/3236930/files/${P}.tar.xz
http://chymera.eu/distfiles/${P}.tar.xz
"
LICENSE="CC-BY-SA-4.0"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
RDEPEND=""
DEPEND=""
pkg_pretend() {
CHECKREQS_DISK_BUILD="11G"
check-reqs_pkg_pretend
}
# We disable this phase to not check requirements twice.
pkg_setup() { :; }
src_install() {
insinto "/usr/share/${PN}"
doins -r *
}

View File

@ -1,3 +1,17 @@
*samri-0.4.2 (10 Jan 2020)
10 Jan 2020; <chymera@gentoo.org> +samri-0.4.2.ebuild:
sci-biology/samri: version bump 0.4.2 ahead of Gentoo Science
08 Dec 2019; <chymera@gentoo.org> -Manifest, -samri-0.4.1.ebuild:
sci-biology/samri: migrated version to Gentoo Science https://gitweb.gentoo.o
rg/proj/sci.git/commit/?id=e68c1eb1aea94ee2860d3b9feb079932114904ea
*samri-0.4.1 (08 Dec 2019)
08 Dec 2019; <chymera@gentoo.org> +samri-0.4.1.ebuild, -samri-0.4.ebuild:
sci-biology/samri: version bump 0.4.1 ahead of Gentoo Science
*samri-9999 (12 Nov 2019)
12 Nov 2019; <chymera@gentoo.org> +samri-9999.ebuild:

View File

@ -1 +1 @@
DIST samri-0.4.tar.gz 4110506 SHA256 1344d27f7af8088d3796b27e32395511fc9ea1d27baed36432963da72ccd0c5b SHA512 5d3f148707df7484be4ba17d3abe9e964510bf830f66919f9b0b9d85f739c37ebff84439a69fc0eb074f4dfb48eec74eef79c6764fcac9895d37f1f4c292c8ab WHIRLPOOL f629a06e79ca6f67a08c087a34ee7bf766dd0bb809ad5ad464b77b49e74aedcc173a01c25be825c24005b6af1caddaf6e6b21348a8e51560eab8726e8092d1ac
DIST samri-0.4.2.tar.gz 4115783 SHA256 bf2d14a57e153d1dbfdb6471434412a1ab00c92dd8cd4a858fa9c9b7703dfae6 SHA512 cb5853ea0d47a3cfd61a0064a1ab776f34dc5178fbe53d515452c03b5b3b24e39d1fe22f6f75e3918c86aaac7517aac05bc911ea8ffdb5a4c3ef07b5cff63880 WHIRLPOOL dd9f42ec3b5d3280968560f5d81bb8db252f9256ad42f888af1b8ceaed57946febe69d3e6dc11824a9713fa5ae51d62f38e7ee1b333d6f2c7279c76af9b18e32

View File

@ -1,9 +1,9 @@
# Copyright 1999-2019 Gentoo Authors
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{5,6} )
PYTHON_COMPAT=( python3_6 )
inherit distutils-r1
@ -14,7 +14,7 @@ SRC_URI="https://github.com/IBT-FMI/SAMRI/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
IUSE="labbookdb test"
KEYWORDS="~amd64 ~x86"
KEYWORDS="~amd64"
DEPEND="
test? (
@ -50,8 +50,7 @@ RDEPEND="
S="${WORKDIR}/SAMRI-${PV}"
src_prepare() {
sed -i -e "s:/usr:${EPREFIX}/usr:g" `grep -rlI \'/usr/ samri` || die
sed -i -e "s:/usr:${EPREFIX}/usr:g" `grep -rlI /usr/ test_scripts.sh` || die
distutils-r1_src_prepare
sed -i -e "s:/usr:@GENTOO_PORTAGE_EPREFIX@/usr:g" `grep -rlI \'/usr/ samri`
sed -i -e "s:/usr:@GENTOO_PORTAGE_EPREFIX@/usr:g" `grep -rlI /usr/ test_scripts.sh`
eprefixify $(grep -rl GENTOO_PORTAGE_EPREFIX samri/* test_scripts.sh)
}

View File

@ -1,4 +0,0 @@
*samri_bidsdata-0.3 (25 Oct 2019)
25 Oct 2019; <chymera@gentoo.org> +metadata.xml, +samri_bidsdata-0.3.ebuild:
sci-biology/samri_bidsdata: version bump 0.3

View File

@ -1 +0,0 @@
DIST samri_bidsdata-0.3.tar.xz 11498387144 SHA256 6d8d01f100793bb930d531630c8c1badcef66e90878421bf75a2910195271836 SHA512 bed72df1e5288c0597168f3100b4e839cee869173217df0f3cbdc47ea5b5167d4fcd7f1e8efa681a723bd47d017e6a502a2acf4ce2b225487fff7b8911aa0ff1 WHIRLPOOL b6b53c78ececd4bb2ca3f0cbfd1ed35f4bd592f25b140651c5ced5df407466e47e294344972a48eae09ce529970b34dc04d118bf284bb7f97c66d6acdfce0fa1

View File

@ -1,4 +1,4 @@
*samri_bindata-0.3 (17 Oct 2019)
*samri_bindata-0.4 (05 Dec 2019)
17 Oct 2019; <chymera@gentoo.org> +metadata.xml, +samri_bindata-0.3.ebuild:
sci-biology/samri_bindata: version bump ahead of Gentoo Science
05 Dec 2019; <chymera@gentoo.org> +metadata.xml, +samri_bindata-0.4.ebuild:
sci-biology/samri_bindata: version bump 0.4 ahead of Gentoo Science

View File

@ -1 +1 @@
DIST samri_bindata-0.3.tar.xz 1878468940 SHA256 1ebbaad697d3fdf59978ea2bab55c66759642886c3c4b4ad4c7dfc76cdad4157 SHA512 069c0d84ea651156c38062eea409109aaf00c0b2ef52e2e77e205935ecda5d84b047f8b7f36eaf26526f9d720df514ffe3fa494a0742447db9212916c1347ce2 WHIRLPOOL 65ca37ea6ef67e2e1eb5242267b15643bfa3c43c9ec667633cdaa90e9cbf7a054d233d593ffeafc0ad719ccdebced4703ca47213083047f058d1e90ad1fe1eac
DIST samri_bindata-0.4.tar.xz 2349556936 SHA256 e63b51a53b0114e71aac5ef1d56c286118a62afe400645ebed9ba18bc45d4ce8 SHA512 18a16e9e3bd75497f50923f2e304364dff78fa66308290350ca72717e01217e24b2fdeedfda56a5ba07a436d3643ceebc104bc802025ddd776b07986f45d53e0 WHIRLPOOL 36bbe8496460cd5cee65a004eabb09f1746b601cbbe0d5067dbb8cfc1fe204112863797034b79486db8c3175b9174489c4bf795075709ddf070c869720078a92

View File

@ -1,4 +0,0 @@
*nibabel-2.5.1 (04 Nov 2019)
04 Nov 2019; <chymera@gentoo.org> +metadata.xml, +nibabel-2.5.1.ebuild:
sci-libs/nibabel: version bump 2.5.1 ahead of Gentoo Science

View File

@ -1 +0,0 @@
DIST nibabel-2.5.1.tar.gz 4281663 SHA256 47b445abee203a9ab4068d826588f926352ea55f20a894178ad5b56215a22fd8 SHA512 49de1a42113e64a56336e02f3143588b574c7b063b10b892ee125048451be701955e505bd1d51183327e2ee221f8364005fdd9fa7d256343113ab6ca1994820d WHIRLPOOL cb0337a753c7f3827da8954c354a65ce09ecb96fba3ffd637028f4634ff3aa29eeb3975ad012bced12fbad13adf94fd5d7e1313983f6598467330ac001615500

View File

@ -1,25 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>horea.christ@gmail.com</email>
<name>Horea Christian</name>
</maintainer>
<maintainer type="project">
<email>sci@gentoo.org</email>
<name>Gentoo Science Project</name>
</maintainer>
<longdescription lang="en">
The package provides read and write access to some common medical and
neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,
NIfTI1, MINC, MGH and ECAT as well as PAR/REC. It can read and write Freesurfer
geometry, and read Freesurfer morphometry and annotation files. There is some
very limited support for DICOM. NiBabel is the successor of PyNIfTI.
</longdescription>
<use>
<flag name="dicom">Adds limited read support for the DICOM imaging format.</flag>
</use>
<upstream>
<remote-id type="github">nipy/nibabel</remote-id>
</upstream>
</pkgmetadata>

View File

@ -1,43 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6,3_7} )
inherit distutils-r1
DESCRIPTION="Access a cacophony of neuro-imaging file formats"
HOMEPAGE="http://nipy.org/nibabel/"
SRC_URI="https://github.com/nipy/nibabel/archive/${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~x86"
LICENSE="MIT"
SLOT="0"
IUSE="dicom doc test"
RDEPEND="
dev-python/numpy[${PYTHON_USEDEP}]
sci-libs/scipy[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
dicom? (
sci-libs/pydicom[${PYTHON_USEDEP}]
dev-python/pillow[${PYTHON_USEDEP}]
)
"
DEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
test? (
${RDEPEND}
dev-python/nose[${PYTHON_USEDEP}]
)
doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
"
python_test() {
cd "${BUILD_DIR}" || die
echo "backend: Agg" > matplotlibrc
MPLCONFIGDIR=. nosetests || die
}

View File

@ -1 +0,0 @@
DIST pybids-0.6.5.tar.gz 2915557 SHA256 06fab79c0f2db87a6a9527a3b0043cbd3cf6961e95f9307a763593d89fad36c1 SHA512 9eef42f00440dddf0147d91f90e07db81f9f95a650f0e47c04304771173ca8691cdb366bd0df1d752c0444f102a4aa010c2343ba75df96528cceb9a98f9d8a0e WHIRLPOOL 8a0cecd8fcdfc1c03038f1d1c9b753ff7dc80ea05c695b0b3f579716ec95b402a42b0628eeb2a9dc430a4b5ee41508b212f054a64d521ea0455bfe30f64fff9c

View File

@ -1,42 +0,0 @@
# Copyright 1999-2019 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
inherit distutils-r1
DESCRIPTION="Python package to access BIDS datasets"
HOMEPAGE="https://github.com/INCF/pybids"
SRC_URI="https://github.com/INCF/pybids/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""
DEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
"
RDEPEND="
dev-python/grabbit[${PYTHON_USEDEP}]
dev-python/num2words[${PYTHON_USEDEP}]
dev-python/numpy[${PYTHON_USEDEP}]
dev-python/pandas[${PYTHON_USEDEP}]
dev-python/patsy[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
sci-libs/nibabel[${PYTHON_USEDEP}]
sci-libs/scipy[${PYTHON_USEDEP}]
"
RESTRICT="test"
# Fails because fixtures are called directly
# https://github.com/bids-standard/pybids/issues/289#issuecomment-476853673
python_test() {
rm bids/tests/test_config.py || die
distutils_install_for_testing
pytest -vv || die
die
}

View File

@ -1,3 +1,9 @@
*scikits_image-0.14.3 (07 Jan 2020)
07 Jan 2020; <chymera@gentoo.org> +scikits_image-0.14.3.ebuild,
scikits_image-0.14.2.ebuild:
sci-libs/scikits_image: version bump and Python 2.7 drop
*scikits_image-0.14.2 (26 Mar 2019)
26 Mar 2019; <chymera@gentoo.org> +metadata.xml,

View File

@ -1 +1,2 @@
DIST scikit-image-0.14.2.tar.gz 27785514 SHA256 1afd0b84eefd77afd1071c5c1c402553d67be2d7db8950b32d6f773f25850c1f SHA512 ab31fdb5b1d16b794ccc4d673f6c8bce0a8a54b81c0e43c9a4cdd5eb0465ef69ac184a06e395a1d27da51c2e0911db9afa2be4e740f44bceab952428eb7f599a WHIRLPOOL 9be56b58bff3b6d4706a907fedb5c5545e31630e49f9f5a8d0adf9afbabf63076694313b79904065331e552311278f64e3a49ff47540af1b2b3867e2c65d417f
DIST scikit-image-0.14.3.tar.gz 27312311 SHA256 f05eab2df885fb6fde3df0e4d24c9c620d6474ea0eb949fd45f6f634925dd514 SHA512 7c3a09004eeb0f075532c38d14f8b402491c39a4ca56bc68aea17804756f5907f01cba4d1b8b45e1c20d1b233b84564015cf9f4124b1f5a19e103120c2466a2f WHIRLPOOL de0f2520e28b2e44db109b1a09229b8330584eb9162f5000c3c96098f523aa30ba381162cc67c1851ca1a67aafa002878e5271fc9d3173268451763dd56643bc

View File

@ -1,9 +1,9 @@
# Copyright 1999-2019 Gentoo Authors
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
PYTHON_COMPAT=( python3_{4,5,6} )
inherit distutils-r1 eutils virtualx

View File

@ -0,0 +1,73 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{4,5,6} )
inherit distutils-r1 eutils virtualx
MYPN="${PN/scikits_/scikit-}"
MYP="${MYPN}-${PV}"
DESCRIPTION="Image processing routines for SciPy"
HOMEPAGE="https://scikit-image.org/"
SRC_URI="mirror://pypi/${PN:0:1}/${MYPN}/${MYP}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
IUSE="doc freeimage pyamg test"
RDEPEND="
dev-python/cloudpickle[${PYTHON_USEDEP}]
dev-python/dask[${PYTHON_USEDEP}]
dev-python/matplotlib[${PYTHON_USEDEP}]
dev-python/networkx[${PYTHON_USEDEP}]
dev-python/numpy[${PYTHON_USEDEP}]
dev-python/pillow[${PYTHON_USEDEP}]
dev-python/pywavelets[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
sci-libs/scipy[sparse,${PYTHON_USEDEP}]
freeimage? ( media-libs/freeimage )
pyamg? ( dev-python/pyamg[${PYTHON_USEDEP}] )"
DEPEND="${RDEPEND}
>=dev-python/cython-0.23[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]
test? ( dev-python/nose[${PYTHON_USEDEP}] )"
S="${WORKDIR}/${MYP}"
DOCS=( CONTRIBUTORS.txt RELEASE.txt TODO.txt )
# Fails on Gentoo
#RESTRICT="test"
python_prepare_all() {
# Remove pip dependency
sed -i '1iimport os.path as osp'\
skimage/__init__.py\
skimage/data/__init__.py\
|| die
distutils-r1_python_prepare_all
}
python_test() {
distutils_install_for_testing
#cd "${TEST_DIR}" || die "no ${TEST_DIR} available"
echo "backend : Agg" > matplotlibrc || die
#echo "backend.qt4 : PyQt4" >> matplotlibrc || die
#echo "backend.qt4 : PySide" >> matplotlibrc || die
mkdir "${WORKDIR}/empty_test_dir" || die
cd "${WORKDIR}/empty_test_dir" || die
pytest --pyargs skimage || die
#pytest -vv || die
}
pkg_postinst() {
optfeature "FITS io capability" dev-python/astropy
optfeature "GTK" dev-python/pygtk
# not in portage yet
#optfeature "io plugin providing a wide variety of formats, including specialized formats using in medical imaging." dev-python/simpleitk
#optfeature "io plugin providing most standard formats" dev-python/imread
}

View File

@ -0,0 +1,5 @@
*scikits_video-1.1.11_p20200114 (20 Jan 2020)
20 Jan 2020; <chymera@gentoo.org> +metadata.xml,
+scikits_video-1.1.11_p20200114.ebuild:
sci-libs/scikits_video: new package

View File

@ -0,0 +1 @@
DIST scikits_video-1.1.11_p20200114.tar.gz 32059826 SHA256 1a81440c8be749defdd8a2d07a1a11e0a62839a986bfd9dd5976aeb3d60ca71d SHA512 4e0b337c54ffc2394be30de84113c4ec3f8f0217c5059712a40668b03ba7516a721f99786a6f7bea58a9eeb25324702f5ff90ecbb8976b059ce71331d526b0c8 WHIRLPOOL 5d802e459eab4462c65c6509439cfc591ea9568425b46cac4d2070cf8adc5152fecaa43324680c85ea4aee38105e6ab50d07250d47b7e637f0325c52edeccf58

View File

@ -0,0 +1,22 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>sci@gentoo.org</email>
<name>Gentoo Science Project</name>
</maintainer>
<longdescription lang="en">
This SciKit (toolkit for SciPy) includes useful image processing
algorithms for use with Python and NumPy. While SciPys ndimage
provides low-level manipulation, scikits.image centres around
algorithms and applications.
</longdescription>
<use>
<flag name="freeimage">Enable support for image i/o via
<pkg>media-libs/freeimage</pkg></flag>
<flag name="pyamg">Enable support for algebraic solvers via <pkg>dev-python/pyamg</pkg></flag>
</use>
<upstream>
<remote-id type="pypi">scikit-image</remote-id>
</upstream>
</pkgmetadata>

View File

@ -0,0 +1,39 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{6,7} )
inherit distutils-r1 eutils virtualx
MY_PN="scikit-video"
MY_HASH="66919e0828410938a4d52f37987b07f7f5de96af"
DESCRIPTION="Video processing in Python"
HOMEPAGE="https://scikit-image.org/"
SRC_URI="https://github.com/scikit-video/scikit-video/archive/${MY_HASH}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
IUSE="doc freeimage pyamg test"
RESTRICT="!test? ( test )"
RDEPEND="
|| ( media-video/ffmpeg media-video/libav )
dev-python/numpy[${PYTHON_USEDEP}]
sci-libs/scipy[${PYTHON_USEDEP}]
dev-python/pillow[${PYTHON_USEDEP}]
sci-libs/scikits_learn[${PYTHON_USEDEP}]
media-video/mediainfo
"
DEPEND="${RDEPEND}
test? ( dev-python/pytest[${PYTHON_USEDEP}] )
"
S="${WORKDIR}/${MY_PN}-${MY_HASH}"
python_test() {
nosetests -v || die
}

View File

@ -0,0 +1,7 @@
*fsleyes-widgets-0.8.4 (16 Jan 2020)
16 Jan 2020; <chymera@gentoo.org>
+files/fsleyes-widgets-0.8.4-coverage.patch,
+files/fsleyes-widgets-0.8.4-tests.patch, +fsleyes-widgets-0.8.4.ebuild,
+metadata.xml, -fsleyes-widgets-0.6.5.ebuild, -manifest.xml:
sci-visualization/fsleyes-widgets: version bump 0.8.4 ahead of Gentoo Science

View File

@ -1 +1 @@
DIST fsleyes-widgets-0.6.5.tar.gz 1035501 SHA256 498af133b6ee811f3e77657975fb198eee52880ff5b10bd55becc4e59a56dd16 SHA512 686f248276eaead7de26547f27d03c089cef06e3bbadb745527a22fad4c89ca14569bcf267a108ecb6bde64055256f24ca66f2940e1fe896787660ce6b2b672b WHIRLPOOL 768eba8d56e41c53c24c65c63b0ff27a78dc3e6af183bbf5e6ef55d86d4d915a3d0910f3fdc6d032bda434a253713e02bb58dfb135afc6097ff6da7e3db85515
DIST fsleyes-widgets-0.8.4.tar.gz 1063873 SHA256 c9de830fe097c9f5a38b31c5acadfeffd26b52f00ed68d9c4906a0010875f444 SHA512 b3b3a5f1a963022f82456c2d6978e02e6f0eb459a76d3aa9f924dbb484ad8359fe9344e9d914c859bd213406707b1b3456de8543b1400728b84fb503ae1fddc8 WHIRLPOOL a306e0209888c4b0b85cf3b77b34889fb205a29a838a8fc26f51011e69e5aaff8e802fa95182fbcd3bf5e00dfd376bb6743f613373dd1ae24ec4d8bf6ca50e62

View File

@ -0,0 +1,10 @@
diff --git a/setup.cfg b/setup.cfg
index c3ebd936..d678d2df 100644
--- a/setup.cfg
+++ b/setup.cfg
@@ -9,4 +9,4 @@ ignore = E127,E201,E203,E221,E222,E241,E271,E272,E301,E302,E303,E701
[tool:pytest]
testpaths = tests
-addopts = -v --cov=fsleyes_widgets
+addopts = -v

View File

@ -0,0 +1,69 @@
diff --git a/tests/test_floatslider.py b/tests/test_floatslider.py
index 87a2477..6bbedb7 100644
--- a/tests/test_floatslider.py
+++ b/tests/test_floatslider.py
@@ -140,8 +140,14 @@ def _test_FloatSlider_changeRange():
_test_widget_changeRange(slider)
+@pytest.mark.skip(reason="Known to fail on Gentoo:"
+ "https://github.com/pauldmccarthy/fsleyes-widgets/issues/1"
+ )
def test_FloatSlider_mouse_non_gtk():
run_with_wx(_test_FloatSlider_mouse)
+@pytest.mark.skip(reason="Known to fail on Gentoo:"
+ "https://github.com/pauldmccarthy/fsleyes-widgets/issues/1"
+ )
def test_FloatSlider_mouse_gtk():
with mock.patch('fsleyes_widgets.floatslider.wx.Platform', '__WXGTK__'):
run_with_wx(_test_FloatSlider_mouse)
@@ -322,7 +328,9 @@ def _test_SliderSpinPanel_show_edit_limits():
if shouldEv: assert result[0] == expected
else: assert result[0] is None
-
+@pytest.mark.skip(reason="Known to fail on Gentoo:"
+ "https://github.com/pauldmccarthy/fsleyes-widgets/issues/1"
+ )
def test_SliderSpinPanel_events():
run_with_wx(_test_SliderSpinPanel_events)
def _test_SliderSpinPanel_events():
diff --git a/tests/test_notebook.py b/tests/test_notebook.py
index a02226c..74e8f63 100644
--- a/tests/test_notebook.py
+++ b/tests/test_notebook.py
@@ -190,6 +190,9 @@ def _test_enable_disable_show_hide(side, ornt):
assert notebook.GetSelection() == 1
+@pytest.mark.skip(reason="Known to fail on Gentoo:"
+ "https://github.com/pauldmccarthy/fsleyes-widgets/issues/1"
+ )
def test_event():
nb_run_with_wx(_test_event)
def _test_event(side, ornt):
diff --git a/tests/test_rangeslider.py b/tests/test_rangeslider.py
index 7ddbed6..51267b3 100644
--- a/tests/test_rangeslider.py
+++ b/tests/test_rangeslider.py
@@ -103,6 +103,9 @@ def _test_RangePanel_logic_spin():
_test_RangePanel_logic(panel)
+@pytest.mark.skip(reason="Known to fail on Gentoo:"
+ "https://github.com/pauldmccarthy/fsleyes-widgets/issues/1"
+ )
def test_RangePanel_events_slider():
run_with_wx(_test_RangePanel_events_slider)
def _test_RangePanel_events_slider():
@@ -236,6 +239,9 @@ def _test_RangeSliderSpinPanel_logic():
_test_RangePanel_logic(panel)
+@pytest.mark.skip(reason="Known to fail on Gentoo:"
+ "https://github.com/pauldmccarthy/fsleyes-widgets/issues/1"
+ )
def test_RangeSliderSpinPanel_onchange():
run_with_wx(_test_RangeSliderSpinPanel_onchange)
def _test_RangeSliderSpinPanel_onchange():

View File

@ -1,15 +1,15 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{5,6} )
PYTHON_COMPAT=( python3_{6,7} )
inherit distutils-r1 virtualx
MY_P="widgets-${PV}"
DESCRIPTION="The new FSL image viewer, released with FSL 5.0.10"
DESCRIPTION="The new FSL image viewer, first released with FSL 5.0.10"
HOMEPAGE="https://git.fmrib.ox.ac.uk/fsl/fsleyes/fsleyes/tree/master"
SRC_URI="https://git.fmrib.ox.ac.uk/fsl/fsleyes/widgets/-/archive/${PV}/${MY_P}.tar.gz -> ${P}.tar.gz"
@ -19,7 +19,9 @@ KEYWORDS="~amd64 ~x86"
IUSE="test"
DEPEND="
test? ( dev-python/pytest[${PYTHON_USEDEP}] )
test? (
dev-python/pytest[${PYTHON_USEDEP}]
)
dev-python/setuptools[${PYTHON_USEDEP}]
"
RDEPEND="
@ -32,7 +34,11 @@ RDEPEND="
S="${WORKDIR}/${MY_P}"
PATCHES=(
"${FILESDIR}/fsleyes-widgets-0.8.4-coverage.patch"
"${FILESDIR}/fsleyes-widgets-0.8.4-tests.patch"
)
python_test() {
virtx pytest --verbose || die
}

8
sys-fs/tmsu/ChangeLog Normal file
View File

@ -0,0 +1,8 @@
06 Jan 2020; <chymera@gentoo.org> tmsu-0.7.5.ebuild:
sys-fs/tmsu: license update
*tmsu-0.7.5 (06 Jan 2020)
06 Jan 2020; <chymera@gentoo.org> +metadata.xml, +tmsu-0.7.5.ebuild:
sys-fs/tmsu: version bump ahead of Gentoo main
https://github.com/gentoo/gentoo/pull/10626#issuecomment-570885146

2
sys-fs/tmsu/Manifest Normal file
View File

@ -0,0 +1,2 @@
DIST github.com-mattn-go-sqlite3-v1.12.0.tar.gz 2282527 SHA256 f74a75ba86ecb52e1deef5102cdf3702e6c6bb524f399b7dfcd7d6d99e35fb30 SHA512 7e8656ecf70b2ffc40f6351b661f5eb75caa63c3e9784a805821bf0ca1f087203f1afe80f58af0e5520ff04baff728c93d670fd7ecb6662bb0fed1dd798ada96 WHIRLPOOL f0791e23d54fa87dd9f8852bddf3cfc078579844c37b3b68b577d1b8efd27c09c49fb054b8f20a319170074f6f5728879809e65f1126c4942b18c0d998d11846
DIST tmsu-0.7.5.tar.gz 98766 SHA256 0ac7f09336aaedf73623c4f486c05137c024a726c16dd32525463aee9d70b46a SHA512 6f89eb156d2be86650ab84847ca0ddea985cdddf35db5f5843632b6a54f88681584b6864e4a14bc36cf1949713e098067e6f8dda0242f27b6061720165f71be1 WHIRLPOOL 6981f11f5313f3c222b0adaeb8bb75e7d439f328a92c5c6771a68f169df0ee774daf713d4f646456647ce74782c2e97a73e02c03a9b6f146f1455ded4cbf875c

12
net-im/utox/metadata.xml → sys-fs/tmsu/metadata.xml Executable file → Normal file
View File

@ -10,14 +10,12 @@
<name>Proxy Maintainers</name>
</maintainer>
<longdescription lang="en">
A secure and lightning-fast messaging platform for the TOX protocol.
TMSU is a tool for tagging your files. It provides a simple
command-line utility for applying tags and a virtual
filesystem to give you a tag-based view of your files from
any other program.
</longdescription>
<upstream>
<remote-id type="github">uTox/uTox</remote-id>
<remote-id type="github">oniony/TMSU</remote-id>
</upstream>
<use>
<flag name="dbus">Adds dbus support for desktop notifications</flag>
<flag name="filter_audio">Adds support for filtering audio input</flag>
</use>
</pkgmetadata>

View File

@ -0,0 +1,54 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EGO_PN="github.com/oniony/TMSU/"
EGO_VENDOR=( "github.com/mattn/go-sqlite3 v1.12.0" )
inherit golang-build golang-vcs-snapshot
DESCRIPTION="Files tagger and virtual tag-based filesystem"
HOMEPAGE="https://github.com/oniony/TMSU/wiki"
SRC_URI="
https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
${EGO_VENDOR_URI}
"
LICENSE="AGPL-3 AGPL-3+ BSD-4 GPL-3+ MIT"
SLOT="0"
KEYWORDS="~amd64"
IUSE="test"
RESTRICT="!test? ( test )"
RDEPEND="sys-fs/fuse:0"
DEPEND="
dev-lang/go
dev-libs/go-fuse
test? ( ${RDEPEND} )
"
src_prepare() {
default
mkdir "${WORKDIR}/${P}/src/${EGO_PN}vendor/src"
mv "${WORKDIR}/${P}/src/${EGO_PN}vendor/github.com" "${WORKDIR}/${P}/src/${EGO_PN}vendor/src/"
}
src_compile() {
pushd "${WORKDIR}/${P}/src/${EGO_PN}"
GOPATH="${WORKDIR}/${P}/src/${EGO_PN}vendor/" emake
popd || die
}
src_install() {
dobin "${WORKDIR}/${P}/src/${EGO_PN}bin/tmsu"
dobin "${WORKDIR}/${P}/src/${EGO_PN}misc/bin/"*
doman "${WORKDIR}/${P}/src/${EGO_PN}misc/man/tmsu."*
insinto /usr/share/zsh/site-functions
doins "${WORKDIR}/${P}/src/${EGO_PN}misc/zsh/_tmsu"
}
src_test() {
cd "${WORKDIR}/${P}/tests" || die
./runall || die
}